/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\leviathan artifacts\watercityvendors\SBBlacksmithy.cs
Lines of code: 118
***********************************************************/


using System; 
using System.Collections; 
using Server.Items; 

namespace Server.Mobiles 
{ 
	public class SBBlacksmithy : SBInfo 
	{ 
		private ArrayList m_BuyInfo = new InternalBuyInfo(); 
		private IShopSellInfo m_SellInfo = new InternalSellInfo(); 

		public SBBlacksmithy() 
		{ 
		} 

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } } 
		public override ArrayList BuyInfo { get { return m_BuyInfo; } } 

		public class InternalBuyInfo : ArrayList 
		{ 
			public InternalBuyInfo() 
			{ 	
				Add( new GenericBuyInfo( typeof( IronIngot ), 7, 16, 0x1BF2, 0 ) );
				Add( new GenericBuyInfo( typeof( DullCopperIngot ), 30, 16, 0x1BF2, 2419 ) );
				Add( new GenericBuyInfo( typeof( ShadowIronIngot ), 60, 16, 0x1BF2, 2406 ) );
				Add( new GenericBuyInfo( typeof( CopperIngot ), 80, 16, 0x1BF2, 2413 ) );
				Add( new GenericBuyInfo( typeof( BronzeIngot ), 100, 16, 0x1BF2, 2418 ) );
				Add( new GenericBuyInfo( typeof( GoldIngot ), 120, 16, 0x1BF2, 2213 ) );
				Add( new GenericBuyInfo( typeof( AgapiteIngot ), 200, 16, 0x1BF2, 2425 ) );
				Add( new GenericBuyInfo( typeof( VeriteIngot ), 210, 16, 0x1BF2, 2207 ) );
				Add( new GenericBuyInfo( typeof( ValoriteIngot ), 250, 16, 0x1BF2, 2219 ) );
				
				Add( new GenericBuyInfo( typeof( Tongs ), 6, 14, 0xFBB, 0 ) ); 
 
				Add( new GenericBuyInfo( typeof( BronzeShield ), 33, 20, 0x1B72, 0 ) );
				Add( new GenericBuyInfo( typeof( Buckler ), 25, 20, 0x1B73, 0 ) );
				Add( new GenericBuyInfo( typeof( MetalKiteShield ), 61, 20, 0x1B74, 0 ) );
				Add( new GenericBuyInfo( typeof( HeaterShield ), 115, 20, 0x1B76, 0 ) );
				Add( new GenericBuyInfo( typeof( WoodenKiteShield ), 35, 20, 0x1B78, 0 ) );
				Add( new GenericBuyInfo( typeof( MetalShield ), 60, 20, 0x1B7B, 0 ) );

				Add( new GenericBuyInfo( typeof( WoodenShield ), 15, 20, 0x1B7A, 0 ) );

				Add( new GenericBuyInfo( typeof( PlateGorget ), 52, 20, 0x1413, 0 ) );
				Add( new GenericBuyInfo( typeof( PlateChest ), 121, 20, 0x1415, 0 ) );
				Add( new GenericBuyInfo( typeof( PlateLegs ), 109, 20, 0x1411, 0 ) );
				Add( new GenericBuyInfo( typeof( PlateArms ), 94, 20, 0x1410, 0 ) );
				Add( new GenericBuyInfo( typeof( PlateGloves ), 77, 20, 0x1414, 0 ) );

				Add( new GenericBuyInfo( typeof( PlateHelm ), 10, 20, 0x1412, 0 ) );
				Add( new GenericBuyInfo( typeof( CloseHelm ), 9, 20, 0x1408, 0 ) );
				Add( new GenericBuyInfo( typeof( CloseHelm ), 9, 20, 0x1409, 0 ) );
				Add( new GenericBuyInfo( typeof( Helmet ), 15, 20, 0x140A, 0 ) );
				Add( new GenericBuyInfo( typeof( Helmet ), 9, 20, 0x140B, 0 ) );
				Add( new GenericBuyInfo( typeof( NorseHelm ), 9, 20, 0x140E, 0 ) );
				Add( new GenericBuyInfo( typeof( NorseHelm ), 9, 20, 0x140F, 0 ) );
				Add( new GenericBuyInfo( typeof( Bascinet ), 9, 20, 0x140C, 0 ) );
				Add( new GenericBuyInfo( typeof( PlateHelm ), 10, 20, 0x1419, 0 ) );

				Add( new GenericBuyInfo( typeof( ChainCoif ), 8, 20, 0x13BB, 0 ) );
				Add( new GenericBuyInfo( typeof( ChainChest ), 71, 20, 0x13BF, 0 ) );
				Add( new GenericBuyInfo( typeof( ChainLegs ), 74, 20, 0x13BE, 0 ) );

				Add( new GenericBuyInfo( typeof( RingmailChest ), 60, 20, 0x13ec, 0 ) );
				Add( new GenericBuyInfo( typeof( RingmailLegs ), 45, 20, 0x13F0, 0 ) );
				Add( new GenericBuyInfo( typeof( RingmailArms ), 42, 20, 0x13EE, 0 ) );
				Add( new GenericBuyInfo( typeof( RingmailGloves ), 46, 20, 0x13eb, 0 ) );

				Add( new GenericBuyInfo( typeof( ExecutionersAxe ), 15, 20, 0xF45, 0 ) );
				Add( new GenericBuyInfo( typeof( Bardiche ), 30, 20, 0xF4D, 0 ) );
				Add( new GenericBuyInfo( typeof( BattleAxe ), 13, 20, 0xF47, 0 ) );
				Add( new GenericBuyInfo( typeof( TwoHandedAxe ), 16, 20, 0x1443, 0 ) );
				Add( new GenericBuyInfo( typeof( Bow ), 17, 20, 0x13B2, 0 ) );
				Add( new GenericBuyInfo( typeof( ButcherKnife ), 7, 20, 0x13F6, 0 ) );
				Add( new GenericBuyInfo( typeof( Crossbow ), 23, 20, 0xF50, 0 ) );
				Add( new GenericBuyInfo( typeof( HeavyCrossbow ), 27, 20, 0x13FD, 0 ) );
				Add( new GenericBuyInfo( typeof( Cutlass ), 12, 20, 0x1441, 0 ) );
				Add( new GenericBuyInfo( typeof( Dagger ), 10, 20, 0xF52, 0 ) );
				Add( new GenericBuyInfo( typeof( Halberd ), 21, 20, 0x143E, 0 ) );
				Add( new GenericBuyInfo( typeof( HammerPick ), 13, 20, 0x143D, 0 ) );
				Add( new GenericBuyInfo( typeof( Katana ), 17, 20, 0x13FF, 0 ) );
				Add( new GenericBuyInfo( typeof( Kryss ), 16, 20, 0x1401, 0 ) );
				Add( new GenericBuyInfo( typeof( Broadsword ), 17, 20, 0xF5E, 0 ) );
				Add( new GenericBuyInfo( typeof( Longsword ), 27, 20, 0xF61, 0 ) );
				Add( new GenericBuyInfo( typeof( ThinLongsword ), 13, 20, 0x13B8, 0 ) );
				Add( new GenericBuyInfo( typeof( VikingSword ), 27, 20, 0x13B9, 0 ) );
				Add( new GenericBuyInfo( typeof( Cleaver ), 7, 20, 0xEC3, 0 ) );
				Add( new GenericBuyInfo( typeof( Axe ), 20, 20, 0xF49, 0 ) );
				Add( new GenericBuyInfo( typeof( DoubleAxe ), 26, 20, 0xF4B, 0 ) );
				Add( new GenericBuyInfo( typeof( Pickaxe ), 11, 20, 0xE86, 0 ) );
				Add( new GenericBuyInfo( typeof( Pitchfork ), 9, 20, 0xE87, 0 ) );
				Add( new GenericBuyInfo( typeof( Scimitar ), 18, 20, 0x13B6, 0 ) );
				Add( new GenericBuyInfo( typeof( SkinningKnife ), 7, 20, 0xEC4, 0 ) );
				Add( new GenericBuyInfo( typeof( LargeBattleAxe ), 16, 20, 0x13FB, 0 ) );
				Add( new GenericBuyInfo( typeof( WarAxe ), 14, 20, 0x13B0, 0 ) );

				if ( Core.AOS )
				{
					Add( new GenericBuyInfo( typeof( BoneHarvester ), 17, 20, 0x26BB, 0 ) );
					Add( new GenericBuyInfo( typeof( CrescentBlade ), 18, 20, 0x26C1, 0 ) );
					Add( new GenericBuyInfo( typeof( DoubleBladedStaff ), 17, 20, 0x26BF, 0 ) );
					Add( new GenericBuyInfo( typeof( Lance ), 17, 20, 0x26C0, 0 ) );
					Add( new GenericBuyInfo( typeof( Pike ), 19, 20, 0x26BE, 0 ) );
					Add( new GenericBuyInfo( typeof( Scythe ), 19, 20, 0x26BA, 0 ) );
					Add( new GenericBuyInfo( typeof( CompositeBow ), 25, 20, 0x26C2, 0 ) );
					Add( new GenericBuyInfo( typeof( RepeatingCrossbow ), 28, 20, 0x26C3, 0 ) );
				}

				Add( new GenericBuyInfo( typeof( BlackStaff ), 11, 20, 0xDF1, 0 ) );
				Add( new GenericBuyInfo( typeof( Club ), 8, 20, 0x13B4, 0 ) );
				Add( new GenericBuyInfo( typeof( GnarledStaff ), 8, 20, 0x13F8, 0 ) );
				Add( new GenericBuyInfo( typeof( Mace ), 14, 20, 0xF5C, 0 ) );
				Add( new GenericBuyInfo( typeof( Maul ), 10, 20, 0x143B, 0 ) );
				Add( new GenericBuyInfo( typeof( QuarterStaff ), 9, 20, 0xE89, 0 ) );
				Add( new GenericBuyInfo( typeof( ShepherdsCrook ), 10, 20, 0xE81, 0 ) );
				Add( new GenericBuyInfo( typeof( SmithHammer ), 10, 20, 0x13E3, 0 ) );
				Add( new GenericBuyInfo( typeof( ShortSpear ), 11, 20, 0x1403, 0 ) );
				Add( new GenericBuyInfo( typeof( Spear ), 15, 20, 0xF62, 0 ) );
				Add( new GenericBuyInfo( typeof( WarHammer ), 12, 20, 0x1439, 0 ) );
				Add( new GenericBuyInfo( typeof( WarMace ), 15, 20, 0x1407, 0 ) );

				if( Core.AOS )
				{
					Add( new GenericBuyInfo( typeof( Scepter ), 19, 20, 0x26BC, 0 ) );
					Add( new GenericBuyInfo( typeof( BladedStaff ), 20, 20, 0x26BD, 0 ) );
				}
			} 
		} 

		public class InternalSellInfo : GenericSellInfo 
		{ 
		} 
	} 
}